al_get_opengl_variant(3)

NAME

al_get_opengl_variant - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_opengl.h>
    int al_get_opengl_variant(void)

DESCRIPTION

Returns the variant or type of OpenGL used on the running platform. This function can be called before creating a display or setting properties for new displays. Possible values are:

ALLEGRO_DESKTOP_OPENGL
    Regular OpenGL as seen on desktop/laptop computers.

ALLEGRO_OPENGL_ES
    Trimmed down version of OpenGL used on many small consumer electronic devices such as handheld (and sometimes full size) consoles.

SEE ALSO

al_get_opengl_version(3)